summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* virtual/perl-Memoize: Add Perl 5.32 as providerAndreas K. Hüttel2020-08-061-1/+1
| | | | | Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
* */*: downgrade m68k down to ~m68kSergei Trofimovich2020-04-211-1/+1
| | | | | | | | | m68k and ~m68k trees are inconsistent. Let's drop keywords down to ~m68k only. Profiles already accept both keywords: ACCEPT_KEYWORDS="m68k ~m68k" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* */*: Drop stable ia64 keywordsMatt Turner2020-04-031-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* */*: Discontinue Gentoo SuperH portMikle Kolyada2020-03-261-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --ignore-arches Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* */*: Bump copyright on files touched this yearMichał Górny2020-02-111-1/+1
| | | | | | | Update the copyright notice on all files that were touched since January 1st but did not have the notice updated. Signed-off-by: Michał Górny <mgorny@gentoo.org>
* virtual/perl-Memoize: Drop old providersAndreas K. Hüttel2020-02-101-1/+1
| | | | | Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
* */*: Drop stable alpha keywordsMatt Turner2020-01-251-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* virtual: Remove *-fbsd KEYWORDSMichał Górny2019-10-111-1/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* virtual/perl-Memoize: m68k stable wrt bug #685664Mikle Kolyada2019-05-241-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="m68k"
* virtual/perl-Memoize: sh stable wrt bug #685664Mikle Kolyada2019-05-241-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="sh"
* virtual/perl-Memoize: s390 stable wrt bug #685664Mikle Kolyada2019-05-241-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="s390"
* virtual/perl-Memoize: add perl-5.30 as providerAndreas K. Hüttel2019-05-171-2/+2
| | | | | Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
* virtual/perl-*: Add perl 5.28* to providers listKent Fredric2018-07-101-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | - virtual/perl-Archive-Tar: Add perl 5.28* to 2.300.0 - virtual/perl-AutoLoader: Add perl 5.28* to 5.740.0 - virtual/perl-CPAN-Meta: Add perl 5.28* to 2.150.10 - virtual/perl-CPAN-Meta-Requirements: Add perl 5.28* to 2.140.0 - virtual/perl-CPAN-Meta-YAML: Add perl 5.28* to 0.18.0 - virtual/perl-Compress-Raw-Bzip2: Add perl 5.28* to 2.74.0 - virtual/perl-DB_File: Add perl 5.28* to 1.840.0 - virtual/perl-Digest: Add perl 5.28* to 1.170.100_rc - virtual/perl-Digest-MD5: Add perl 5.28* to 2.550.0 - virtual/perl-Dumpvalue: Add perl 5.28* to 1.180.0 - virtual/perl-ExtUtils-Manifest: Add perl 5.28* to 1.700.0 - virtual/perl-File-Temp: Acknowledge 5.28, but don't defer to it - virtual/perl-HTTP-Tiny: Add perl 5.28* to 0.70.0 - virtual/perl-IO-Compress: Add perl 5.28* to 2.74.0 - virtual/perl-IO-Zlib: Add perl 5.28* to 1.100.0 - virtual/perl-Locale-Maketext-Simple: Add perl 5.28* to 0.210.100_rc - virtual/perl-MIME-Base64: Add perl 5.28* to 3.150.0 - virtual/perl-Math-Complex: Add perl 5.28* to 1.590.100 - virtual/perl-Memoize: Add perl 5.28* to 1.30.100_rc - virtual/perl-Module-CoreList: Add perl 5.28* to 5.201.806.220 - virtual/perl-Module-Load: Add perl 5.28* to 0.320.0 - virtual/perl-Module-Load-Conditional: Add perl 5.28* to 0.680.0 - virtual/perl-Module-Loaded: Add perl 5.28* to 0.80.0 - virtual/perl-Module-Metadata: Add perl 5.28* to 1.0.33 - virtual/perl-Params-Check: Add perl 5.28* to 0.380.0 - virtual/perl-Parse-CPAN-Meta: Add perl 5.28* to 2.150.10 - virtual/perl-Perl-OSType: Add perl 5.28* to 1.10.0 - virtual/perl-Pod-Escapes: Add perl 5.28* to 1.70.0 - virtual/perl-Pod-Parser: Add perl 5.28* to 1.630.0 - virtual/perl-Pod-Simple: Add perl 5.28* to 3.350.0 - virtual/perl-Safe: Add perl 5.28* to 2.400.0 - virtual/perl-Sys-Syslog: Add perl 5.28* to 0.350.0 - virtual/perl-Term-ANSIColor: Add perl 5.28* to 4.60.0 - virtual/perl-Term-ReadLine: Add perl 5.28* to 1.170.0 - virtual/perl-Text-Balanced: Add perl 5.28* to 2.30.0 - virtual/perl-Text-ParseWords: Add perl 5.28* to 3.300.0 - virtual/perl-Text-Tabs+Wrap: Add perl 5.28* to 2013.52.300 - virtual/perl-Thread-Queue: Add perl 5.28* to 3.120.0 - virtual/perl-Thread-Semaphore: Add perl 5.28* to 2.130.0 - virtual/perl-Tie-RefHash: Add perl 5.28* to 1.390.0 - virtual/perl-Time-Local: Add perl 5.28* to 1.250.0 - virtual/perl-autodie: Add perl 5.28* to 2.290.0 - virtual/perl-parent: Add perl 5.28* to 0.236.0 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* virtual/perl-*: -r1 bump all virtuals with new RDEPEND entriesKent Fredric2018-04-241-0/+0
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* virtual/perl-*: Add perl-5.24.4 as alternative to virtualsKent Fredric2018-04-241-1/+1
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* virtual/perl-*: Spread ~x64-cygwin keywords from dev-lang/perlKent Fredric2018-03-201-1/+1
| | | | | | | Virtuals are ultimately part of dev-lang/perl and are independent for portage related reasons, so should share perl's keywording. Package-Manager: Portage-2.3.24, Repoman-2.3.6
* dev-lang/perl: Cleanup old re bug #630610Kent Fredric2018-01-181-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Removing old versions affected by CVE-2017-12837, CVE-2017-12883 Fallbacks to perl 5.24.1 and perl 5.24.2 removed for: virtual/perl-Archive-Tar virtual/perl-bignum virtual/perl-CPAN virtual/perl-Digest virtual/perl-Digest-SHA virtual/perl-Encode virtual/perl-ExtUtils-MakeMaker virtual/perl-File-Spec virtual/perl-HTTP-Tiny virtual/perl-IO-Compress virtual/perl-IO virtual/perl-IPC-Cmd virtual/perl-JSON-PP virtual/perl-libnet virtual/perl-Locale-Maketext virtual/perl-Locale-Maketext-Simple virtual/perl-Memoize virtual/perl-Net-Ping virtual/perl-Parse-CPAN-Meta virtual/perl-Storable virtual/perl-Sys-Syslog virtual/perl-Test-Harness virtual/perl-Test virtual/perl-XSLoader Virtuals that were only needed for Perl 5.24.1, 5.24.2, Perl 5.26.0 that had versions removed: virtual/perl-Module-CoreList perl-core entries that had versions removed due to becomming unreferenced by any virtual: perl-core/Module-CoreList Bug: https://bugs.gentoo.org/630610 Package-Manager: Portage-2.3.18, Repoman-2.3.6
* virtual/perl-*: spread arm64 stable from perl-5.24.1-r2Kent Fredric2017-09-261-1/+1
| | | | | | | | All virtuals that track specific versions of dev-lang/perl should be kept in-step with Perl and this only slips sometimes due to being overlooked Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="arm64"
* virtual/perl-*: -r1 bump for dep propagation for 5.24.3Kent Fredric2017-09-241-0/+0
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* virtual/perl-*: Map providers for dev-lang/perl-5.24.3Kent Fredric2017-09-241-1/+1
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* virtual/perl-*: -r1 bump all virtuals that need to update for Perl 5.24.2Kent Fredric2017-07-161-0/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* virtual/perl-*: Extend all virtuals relevant to Perl 5.24.2Kent Fredric2017-07-161-1/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* virtual/perl-Memoize: Update providersAndreas K. Hüttel2017-06-161-1/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* virtual: Remove empty assignments of optional variables.Ulrich Müller2017-03-291-5/+0
| | | | | | | Remove empty HOMEPAGE, SRC_URI, KEYWORDS, LICENSE, IUSE, and DEPEND. As announced in gentoo-dev mailing list. Package-Manager: Portage-2.3.5, Repoman-2.3.2
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-281-1/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* dev-lang/perl, virtual/perl-*: Cleanup 5.20* and eblits re bug #589680 and ↵Kent Fredric2017-02-201-21/+0
| | | | | | | | | bug #586418 Bug: https://bugs.gentoo.org/586418 Bug: https://bugs.gentoo.org/589680 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* virtual/perl-Memoize: dropped ~hppa-hpux ~ia64-hpux ~ia64-linux ~x64-freebsd ↵Fabian Groffen2017-01-292-2/+2
| | | | | | ~x86-freebsd ~x86-interix Package-Manager: portage-2.3.3
* virtual/perl-*: -r1 bump tweaked ebuilds for propagationKent Fredric2017-01-251-0/+0
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* virtual/perl-*: Drop references to 5.22.[old] and 5.24.[old]Kent Fredric2017-01-251-2/+2
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* virtual/perl-Memoize: Stable for HPPA (bug #589680).Jeroen Roovers2017-01-211-1/+1
| | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --ignore-arches
* virtual/perl-Memoize: ppc64 stable wrt bug #589680Agostino Sarubbo2017-01-181-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* virtual/perl-Memoize: sparc stable wrt bug #589680Agostino Sarubbo2017-01-181-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* virtual/perl-Memoize: ia64 stable wrt bug #589680Agostino Sarubbo2017-01-171-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* virtual/perl-Memoize: ppc stable wrt bug #589680Agostino Sarubbo2017-01-151-2/+2
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* virtual/perl-Memoize: x86 stable (bug #589680)Thomas Deutschmann2016-12-231-1/+1
| | | | Package-Manager: Portage-2.3.2, Repoman-2.3.1
* virtual/perl-Memoize: amd64 stable wrt bug #589680Aaron Bauman2016-12-171-1/+1
|
* virtual/perl-Memoize: arm stable, bug #589680Markus Meier2016-12-171-1/+1
| | | | | Package-Manager: portage-2.3.3 RepoMan-Options: --include-arches="arm"
* virtual/perl-Memoize-1.30.100_rc-r1: stable on alphaTobias Klausmann2016-12-121-1/+1
| | | | Gentoo-Bug: 589680
* virtual/perl-*: -r bump all changed virtuals for propagationKent Fredric2016-12-072-0/+0
| | | | | | | | | | | | | | | | | | | | | | | | | virtual/perl-Archive-Tar: -r1 bump virtual/perl-bignum: -r1 bump virtual/perl-CPAN: -r bump virtual/perl-Digest: -r bump virtual/perl-Digest-SHA: -r bump virtual/perl-ExtUtils-Command: -r bump virtual/perl-ExtUtils-MakeMaker: -r bump virtual/perl-HTTP-Tiny: -r bump virtual/perl-IO: -r bump virtual/perl-IO-Compress: -r bump virtual/perl-IPC-Cmd: -r bump virtual/perl-JSON-PP: -r bump virtual/perl-libnet: -r bump virtual/perl-Locale-Maketext: -r bump virtual/perl-Locale-Maketext-Simple: -r bump virtual/perl-Memoize: -r bump virtual/perl-Net-Ping: -r bump virtual/perl-Parse-CPAN-Meta: -r bump virtual/perl-Sys-Syslog: -r bump virtual/perl-Test: -r bump virtual/perl-Test-Harness: -r bump virtual/perl-XSLoader: -r bump
* virtual/perl-*: Restrict existing virtuals to not map to 5.22.3Kent Fredric2016-12-071-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | virtual/perl-Archive-Tar: 2.40.0 not in 5.22.3+ virtual/perl-bignum: 0.390.0 not in 5.22.3+ virtual/perl-CPAN: 2.110.0 not in 5.22.3+ virtual/perl-Digest: 1.170.0 not in 5.22.3+ virtual/perl-Digest-SHA: 5.950.0 not in 5.22.3+ virtual/perl-ExtUtils-Command: 1.200.0 not in 5.22.3+ virtual/perl-ExtUtils-MakeMaker: 7.40.100 not in 5.22.3+ virtual/perl-HTTP-Tiny: 0.54.0 not in 5.22.3+ virtual/perl-IO: 1.350.0 not in 5.22.3+ virtual/perl-IO-Compress: 2.68.0 not in 5.22.3+ virtual/perl-IPC-Cmd: 0.920.0 not in 5.22.3+ virtual/perl-JSON-PP: 2.273.0 not in 5.22.3+ virtual/perl-libnet: 3.50.0 not in 5.22.3+ virtual/perl-Locale-Maketext: 1.260.0 not in 5.22.3+ virtual/perl-Locale-Maketext-Simple: 0.210.0 not in 5.22.3+ virtual/perl-Memoize: 1.30.0 not in 5.22.3+ virtual/perl-Net-Ping: 2.430.0 not in 5.22.3+ virtual/perl-Parse-CPAN-Meta: 1.441.700 not in 5.22.3+ virtual/perl-Sys-Syslog: 0.330.0 not in 5.22.3+ virtual/perl-Test: 1.260.0 not in 5.22.3+ virtual/perl-Test-Harness: 3.350.0 not in 5.22.3+ virtual/perl-XSLoader: 0.200.0 not in 5.22.3+
* virtual/perl-*: Extend existing virtuals to map to perl 5.22.3Kent Fredric2016-12-071-1/+1
| | | | | | | | | | | | | | virtual/perl-Archive-Tar: 2.40.100_rc -> perl 5.22.3 virtual/perl-CPAN: 2.110.100_rc -> 5.22.3 virtual/perl-Digest: 1.170.100 -> 5.22.3* virtual/perl-Digest-SHA: 5.950.100 -> 5.22.3 virtual/perl-IPC-Cmd: 0.920.100 -> 5.22.3 virtual/perl-JSON-PP: 2.273.0.100 -> 5.22.3 virtual/perl-Locale-Maketext: 1.260.100 -> 5.22.3 virtual/perl-Locale-Maketext-Simple: 0.210.100 -> 5.22.3 virtual/perl-Memoize: 1.30.100 -> 5.22.3 virtual/perl-Net-Ping: 2.430.100 -> 5.22.3 virtual/perl-Sys-Syslog: 0.330.100 -> 5.22.3
* virtual/perl-Memoize: -r1 bumpKent Fredric2016-11-231-0/+0
| | | | Package-Manager: portage-2.3.2
* virtual/perl-Memoize: 1.30.0 not in 5.24.1Kent Fredric2016-11-231-1/+1
| | | | Package-Manager: portage-2.3.2
* virtual/perl-Memoize: Bump to 1.30.100_rc for perl 5.24.1Kent Fredric2016-11-231-0/+21
| | | | Package-Manager: portage-2.3.0
* virtual/perl-*: -r1 bump to propagate subslot depKent Fredric2016-11-231-0/+0
| | | | Package-Manager: portage-2.3.2
* virtual/perl-*: Subslot dep on perlKent Fredric2016-11-231-0/+1
| | | | | | | This is not striclty necessary, but is added in the hope it will help portage propagate rebuilds in slot upgrades. Package-Manager: portage-2.3.2
* virtual/perl-Memoize: Remove obsolete virtualAndreas K. Hüttel2016-05-151-20/+0
| | | | Package-Manager: portage-2.2.28
* virtual/perl-Memoize: Make Perl 5.24 a provider for 1.30.0Kent Fredric2016-05-151-0/+20
| | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
* virtual/perl-Memoize: Copy keywords from provider =dev-lang/perl-5.20.2Andreas K. Hüttel2016-05-061-1/+1
| | | | Package-Manager: portage-2.2.28
* Set appropriate maintainer types in metadata.xml (GLEP 67)Michał Górny2016-01-241-1/+1
|